DECLARE
-- Insert Credential Procedure
PROCEDURE test_create_credential(
                            i    T_CREDENTIAL.DLG_ID%TYPE,
                            d    T_CREDENTIAL.DN%TYPE,
                            c    VARCHAR2 DEFAULT NULL,
                            v    VARCHAR2 DEFAULT NULL,
                            tt   T_CREDENTIAL.TERMINATION_TIME%TYPE DEFAULT NULL)
IS
    c_tmp  T_CREDENTIAL.PROXY%TYPE;
    v_tmp  T_CREDENTIAL.VOMS_ATTRS%TYPE;
    tt_tmp T_CREDENTIAL.TERMINATION_TIME%TYPE;
BEGIN
    IF c IS NOT NULL THEN
        SELECT TO_CLOB(c) INTO c_tmp FROM DUAL;
    ELSE
        SELECT TO_CLOB('this is a fake entry for a certificate just to test the CredDAO') INTO c_tmp FROM DUAL;
    END IF;
    IF v IS NOT NULL THEN
        SELECT TO_CLOB(v) INTO v_tmp FROM DUAL;
    ELSE
        SELECT TO_CLOB('this is a fake entry for a voms attribute list just to test the CredDAO')  INTO v_tmp FROM DUAL;
    END IF;
    IF tt IS NOT NULL THEN
        tt_tmp := tt;
    ELSE
        SELECT (CURRENT_TIMESTAMP + INTERVAL '3600' SECOND) INTO tt_tmp FROM DUAL;
    END IF;
    
    INSERT INTO t_credential(dlg_id,dn,proxy,voms_attrs,termination_time) 
        VALUES (i,d,c_tmp,v_tmp,tt_tmp);
END;

-- Main
BEGIN
	-- Set Records
 	test_create_credential('invalid_cred_05' ,'DN= An Invalid User' ,NULL,NULL,CURRENT_TIMESTAMP + INTERVAL '120' SECOND);
END;
/
