DECLARE

   v_user_dn VARCHAR2(1024);
   v_myproxy_server VARCHAR2(1024);

-- Insert Job Procedure
PROCEDURE test_create_job(
                            j    T_JOB.JOB_ID%TYPE,
                            st   T_JOB.JOB_STATE%TYPE,
                            dn   T_JOB.USER_DN%TYPE, 
                            cr   T_JOB.CRED_ID%TYPE,
                            vo   T_JOB.VO_NAME%TYPE, 
                            ch   T_JOB.CHANNEL_NAME%TYPE,
                            sh   T_JOB.SUBMIT_HOST%TYPE    DEFAULT NULL,
                            mps  T_JOB.MYPROXY_SERVER%TYPE DEFAULT NULL,
                            jst  T_JOB.SUBMIT_TIME%TYPE    DEFAULT NULL)
IS                            
BEGIN
    IF jst IS NULL THEN
        INSERT INTO t_job(job_id,job_state,user_dn,cred_id,vo_name,channel_name,submit_host,myproxy_server) 
            VALUES (j,st,dn,cr,vo,ch,sh,mps);
    ELSE 
        INSERT INTO t_job(job_id,job_state,user_dn,cred_id,vo_name,channel_name,submit_host,myproxy_server,submit_time) 
            VALUES (j,st,dn,cr,vo,ch,sh,mps,jst);
    END IF;
END;

-- Main
BEGIN

	v_user_dn := '&1';
	v_myproxy_server := '&2';

    -- Set Records
    test_create_job('10000000-0000-0000-0000-000000000001','Submitted',v_user_dn		    ,'my_cred_01','my_VO',NULL);
    test_create_job('10000000-0000-0000-0000-000000000002','Submitted',v_user_dn			,'my_cred_02','my_VO',NULL,'fts-host-1.cern.ch');
    test_create_job('10000000-0000-0000-0000-000000000003','Submitted',v_user_dn			,'my_cred_03','my_VO',NULL);
    test_create_job('10000000-0000-0000-0000-000000000004','Submitted',v_user_dn			,'my_cred_04','my_VO',NULL);
    test_create_job('10000000-0000-0000-0000-000000000005','Submitted','DN= An Invalid User','invalid_cred_05','my_VO',NULL);
    test_create_job('10000000-0000-0000-0000-000000000006','Submitted',v_user_dn		    ,'my_cred_06','my_VO',NULL,NULL,v_myproxy_server);
    test_create_job('10000000-0000-0000-0000-000000000007','Submitted',v_user_dn			,'my_cred_07','my_VO',NULL,NULL,'invalid-myproxy-server');
    test_create_job('10000000-0000-0000-0000-000000000008','Submitted',v_user_dn			,'my_cred_08','my_VO',NULL,'fts-host-2.cern.ch');
    test_create_job('10000000-0000-0000-0000-000000000009','Submitted',v_user_dn			,'my_cred_09','my_VO',NULL,'fts-host-3.cern.ch');
END;
/
